Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class JDOConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.DefaultConfiguration
            |
            +--com.solarmetric.kodo.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ee.JDOConnectionFactory

All Implemented Interfaces:
  BeanInfo, Cloneable, Configuration, ConnectionFactory, EEConfiguration, EEConfiguration, JDBCConfiguration, PersistenceManagerFactory, Referenceable, Referenceable, Serializable

public class JDOConnectionFactory
extends EESimpleConfiguration
implements ConnectionFactory, Referenceable, PersistenceManagerFactory

JCA ConnectionFactory for obtaining PersistenceManagers.

See Also:
  Serialized Form

Fields inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`BASIC_OPTION, EXPERT_OPTION, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDOConnectionFactory()`
`JDOConnectionFactory(ManagedConnectionFactoryImpl mcf, ConnectionManager cm)`
`JDOConnectionFactory(Properties props)`

Method Summary
`Connection` | `getConnection()`
`Connection` | `getConnection(ConnectionSpec spec)`
`ResourceAdapterMetaData` | `getMetaData()`
`PersistenceManager` | `getPersistenceManager()`
`PersistenceManager` | `getPersistenceManager(String user, String pass)`
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)`
`Properties` | `getProperties()`
`RecordFactory` | `getRecordFactory()`
`Reference` | `getReference()`
`void` | `setReference(Reference ref)`
`Collection` | `supportedOptions()`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ee.EESimpleConfiguration
`getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.JDBCSimpleConfiguration
`getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultPersistenceManagerFactoryClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getKnownConnectionURLList, getKnownDriverList, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManager, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUsePreparedStatements, getWarnOnPersistentTypeFailure, loadProperties, setConnectionDriverName, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setProperties, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManager, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUsePreparedStatements, setUsePreparedStatements, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from class com.solarmetric.kodo.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, getAdditionalBeanInfo, getBeanDescriptor, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultEventIndex, getDefaultFetchBatchSize, getDefaultFetchThreshold, getDefaultPropertyIndex, getEnableQueryExtensions, getEventSetDescriptors, getIcon, getIgnoreCache, getLicenseKey, getMaxPool, getMethodDescriptors, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getPropertyDescriptors, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, getValues, initDefaults, setCacheReferenceSize, setCacheReferenceSize, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache`

Methods inherited from class com.solarmetric.kodo.conf.DefaultConfiguration
`checkFrozen, clone, configurationClone, equals, freeze, fromProperties, getLog, hashCode, isFrozen, loadDefaults, toProperties`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getIgnoreCache, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getRestoreValues, getRetainValues, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMaxPool, setMinPool, setMsWait, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues`

Methods inherited from interface com.solarmetric.kodo.impl.jdbc.JDBCConfiguration
`getConnectionTestTimeout, getDefaultClassMappingClass, getDefaultSubclassProviderClass, getDefaultSubclassProviderProperties, getDictionary, getDictionaryClass, getDictionaryProperties, getFlatInheritanceMapping, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSQLExecutionListener, getSQLExecutionListenerClass, getSQLExecutionManagerClass, getStatementCacheMaxSize, getStatementExecutionTimeout, getSynchronizeSchema, getTransactionIsolation, getTransactionIsolationLevel, getUseBatchedStatements, getUsePreparedStatements, getWarnOnPersistentTypeFailure, setConnectionTestTimeout, setConnectionTestTimeout, setDefaultClassMappingClass, setDefaultSubclassProviderClass, setDefaultSubclassProviderProperties, setDictionary, setDictionaryClass, setDictionaryProperties, setFlatInheritanceMapping, setFlatInheritanceMapping, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSQLExecutionListenerClass, setSQLExecutionManagerClass, setStatementCacheMaxSize, setStatementCacheMaxSize, setStatementExecutionTimeout, setStatementExecutionTimeout, setSynchronizeSchema, setSynchronizeSchema, setTransactionIsolation, setUseBatchedStatements, setUseBatchedStatements, setUsePreparedStatements, setUsePreparedStatements, setWarnOnPersistentTypeFailure, setWarnOnPersistentTypeFailure`

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### JDOConnectionFactory

    public JDOConnectionFactory(ManagedConnectionFactoryImpl mcf,
                                ConnectionManager cm)

### JDOConnectionFactory

    public JDOConnectionFactory()

### JDOConnectionFactory

    public JDOConnectionFactory(Properties props)

Method Detail

### getRecordFactory

    public RecordFactory getRecordFactory()
                                   throws NotSupportedException

  Specified by:
    `getRecordFactory` in interface `ConnectionFactory`

### getMetaData

    public ResourceAdapterMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `ConnectionFactory`

### getConnection

    public Connection getConnection()
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`

### getConnection

    public Connection getConnection(ConnectionSpec spec)
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`

### setReference

    public void setReference(Reference ref)

  Specified by:
    `setReference` in interface `Referenceable`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### supportedOptions

    public Collection supportedOptions()

  Specified by:
    `supportedOptions` in interface `PersistenceManagerFactory`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties props)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.